[android-components](../../../index.md) / [mozilla.components.feature.downloads](../../index.md) / [AbstractFetchDownloadService](../index.md) / [DownloadJobStatus](./index.md)

# DownloadJobStatus

`enum class DownloadJobStatus` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/downloads/src/main/java/mozilla/components/feature/downloads/AbstractFetchDownloadService.kt#L106)

Status of an ongoing download

### Enum Values

| Name | Summary |
|---|---|
| [ACTIVE](-a-c-t-i-v-e.md) |  |
| [PAUSED](-p-a-u-s-e-d.md) |  |
| [CANCELLED](-c-a-n-c-e-l-l-e-d.md) |  |
| [FAILED](-f-a-i-l-e-d.md) |  |
| [COMPLETED](-c-o-m-p-l-e-t-e-d.md) |  |
